MLIST(1)

NAME
mlist - list and filter messages

SYNOPSIS
mlist [-DFPRST] [-X str]
[-dfprst] [-x str]
[-N | -n | -C | -c]
[-i] [dirs ...]

DESCRIPTION
mlist lists messages in the specified maildir folders dirs, separated by newlines. If used non-interactively with no specified folders, mlist reads directory names from the standard input.

The options are as follows:

-D  Only list messages marked as draft.

-F  Only list messages marked as flagged.

-P  Only list messages marked as passed (resent/forwarded/bounced).

-R  Only list messages marked as replied-to.

-S  Only list messages marked as seen.

-T  Only list messages marked as trashed.

-X str
    Only list messages marked with the characters in str.

-d  Don't list messages marked as draft.

-f  Don't list messages marked as flagged.

-p  Don't list messages marked as passed (resent/forwarded/bounced).

-r  Don't list messages marked as replied-to.

-s  Don't list messages marked as seen.

-t  Don't list messages marked as trashed.

-x str
    Don't list messages marked with the characters in str. (Remember to use uppercase characters.)

-C  Only list messages in cur.

-N  Only list messages in new.

-c  Don't list messages in cur.

-n  Don't list messages in new.

-i  Don't print filenames. Instead, print a one-line summary for each folder, showing the number of unseen, flagged and total messages, along with the folder name. If any of the message selection flags are used, the number of matching messages is printed as well. If two or more folders are specified, a total for all folders will also be printed at the end.

Multiple options are regarded as a conjunction.

EXIT STATUS

SEE ALSO
find(1)

Using maildir format: https://cr.yp.to/proto/maildir.html

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
mlist is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/